Source: firebird2.5
Section: database
Priority: optional
Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>
Build-Depends: 
 autoconf,
 automake,
 bison,
 debhelper (>= 8.1.3),
 docbook-to-man,
 dpkg-dev (>= 1.16.1),
 gawk,
 libatomic-ops-dev (>= 1.2+cvs20091005),
 libedit-dev,
 libicu-dev,
 libtool,
 po-debconf
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-firebird/2.5.git
Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.5.git;a=summary
Homepage: http://firebirdsql.org/

Package: firebird2.5-super
Architecture: any
Provides: firebird-server, firebird-utils, firebird-udf
Conflicts: firebird-server, firebird-utils, firebird-udf,
 firebird2.0-classic, firebird2.0-super
Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
 firebird2.5-server-common (= ${binary:Version}),
 lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
 firebird2.5-common-doc (= ${source:Version})
Recommends: libib-util
Suggests: firebird2.5-doc
Description: Firebird Super Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 The "super" architecture uses separate threads to handle each connection.
 It has its advantages (eg: is usually faster and more efficient for large
 numbers of clients) but is unable to use more that one CPU on an SMP
 system and under some circumstances a client may crash all server threads.
 .
 This package contains the 2.5 branch of Firebird.
 .
 Firebird is a commercially independent project of C and C++ programmers,
 technical advisors and supporters developing and enhancing a multi-platform
 relational database management system based on the source code released by
 Inprise Corp (now known as Borland Software Corp) under the InterBase Public
 License v.1.0 on 25 July, 2000.

Package: firebird2.5-classic
Architecture: any
Provides: firebird-server
Conflicts: firebird-server,
 firebird2.0-super, firebird2.0-classic
Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}), netbase,
 firebird2.5-server-common (= ${binary:Version}),
 firebird2.5-classic-common (= ${binary:Version}),
 openbsd-inetd | inet-superserver, ${misc:Depends},
 debconf (>= 1.4.69),
 firebird2.5-common-doc (= ${source:Version})
Recommends: libib-util
Suggests: firebird2.5-doc
Description: Firebird Classic Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 The "classic" architecture uses a new process to handle each connection
 which results in somewhat slower operation (but is said to be faster
 than "super" on local connections) yet can take advantage of multiple
 CPUs on SMP machines. This is the "traditional" architecture.
 .
 This package contains the 2.5 branch of Firebird.
 .
 Firebird is a commercially independent project of C and C++ programmers,
 technical advisors and supporters developing and enhancing a multi-platform
 relational database management system based on the source code released by
 Inprise Corp (now known as Borland Software Corp) under the InterBase Public
 License v.1.0 on 25 July, 2000.

Package: firebird2.5-superclassic
Architecture: any
Provides: firebird-server
Conflicts: firebird-server,
 firebird2.0-super, firebird2.0-classic
Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}), netbase,
 firebird2.5-server-common (= ${binary:Version}),
 firebird2.5-classic-common (= ${binary:Version}),
 firebird2.5-common-doc (= ${source:Version}),
 lsb-base, ${misc:Depends},
 debconf (>= 1.4.69)
Suggests: firebird2.5-doc
Description: Firebird SuperClassic Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 The "superclassic" architecture uses a new thread to handle each connection.
 This allows for good scaling on multi-processor machines without consuming
 too much operating system resources.
 .
 This package contains the 2.5 branch of Firebird.
 .
 Firebird is a commercially independent project of C and C++ programmers,
 technical advisors and supporters developing and enhancing a multi-platform
 relational database management system based on the source code released by
 Inprise Corp (now known as Borland Software Corp) under the InterBase Public
 License v.1.0 on 25 July, 2000.

Package: libfbclient2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
 ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: Firebird client library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the client library required to connect to Firebird. It
 works with either "super-server" or "classic" variants, as well as with
 commercial InterBase servers.
 .
 It uses TCP to connect to the server and is tread-safe.
 .
 For direct (non-TCP) database access, see libfbembed2.5.

Package: libfbembed2.5
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
 firebird2.5-server-common (= ${binary:Version}), ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: Firebird embedded client/server library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains libfbembed - the embedded client/server library for
 Firebird.
 .
 It can work with remote Firebird servers (either super-server or classic) via
 TCP connections, in the same way libfbclient does.
 .
 Contrary to libfbclient, libfbembed is not thread-safe.
 .
 When working with local database libfbembed works directly with the database
 file without the need of a separate server process. It needs a separate lock
 manager -- fb_lock_mgr -- which is in firebird2.5-classic package.
 .
 If you are in doubt, you most probably need libfbclient2, instead of this
 package.

Package: libib-util
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: Firebird UDF support library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 libib_util contains utility functions used by User-Defined Functions (UDF) for
 memory management etc.

Package: firebird2.5-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: common files for firebird 2.5 servers and clients
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains files common to both servers and clients for both super
 and classic flavours.
 .
 These include the message file (firebird.msg), support scripts as well as
 configuration files in /etc/firebird/2.5.
 .
 Please refer to the firebird2.5-super or firebird2.5-classic packages for more
 information about Firebird in general.

Package: firebird2.5-server-common
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends},
 firebird2.5-common-doc (= ${source:Version})
Conflicts: firebird2.1-server-common,
 firebird2.0-server-common
Replaces: firebird2.5-common (<< 2.5.2~svn+53698.ds4-1~)
Breaks: firebird2.5-common (<< 2.5.2~svn+53698.ds4-1~)
Description: common files for firebird 2.5 servers
 This package contains files common to super and classic Firebird servers.
 .
 These include the security database, manual pages, support scripts as well as
 configuration files in /etc/firebird/2.5.
 .
 Please refer to the firebird2.5-super or firebird2.5-classic packages for more
 information about Firebird in general.

Package: firebird2.5-classic-common
Architecture: any
Provides: firebird-udf, firebird-utils
Conflicts: firebird-udf, firebird-utils,
 firebird2.1-classic, firebird2.1-super,
 firebird2.0-super, firebird2.0-classic
Depends: ${misc:Depends}, ${shlibs:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: common files for firebird 2.5 "classic" and "superclassic"
 This package contains the command line utilities and UDFs (user-defined
 function libraries) common to classic and superclassic Firebird servers.
 .
 Please refer to the firebird2.5-classic or firebird2.5-superclassic packages
 for more information about Firebird in general.

Package: firebird-dev
Section: libdevel
Architecture: any
Breaks: firebird2.0-dev, firebird2.1-dev (<< 2.1.4.18393-0.ds2-4~),
 firebird2.5-dev (<< 2.5.1.26349-0~rc1.ds4-3~)
Replaces: firebird2.0-dev, firebird2.1-dev (<< 2.1.4.18393-0.ds2-4~),
 firebird2.5-dev (<< 2.5.1.26349-0~rc1.ds4-3~)
Provides: firebird2.1-dev, firebird2.5-dev
Depends: libfbclient2 (= ${binary:Version}), libib-util,
 ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Suggests: libfbembed2.5, firebird2.5-examples
Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
 This package contains header files for Firebird.
 .
 Please refer to the firebird2.5-super and firebird2.5-classic packages for
 more information about Firebird in general.

Package: firebird2.5-examples
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Recommends: firebird-dev
Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 Please refer to the firebird2.5-super and firebird2.5-classic packages for
 more information about Firebird in general.

Package: firebird2.5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version})
Description: Documentation files for firebird database version 2.5
 Various documents for firebird 2.5. These include the list of enhancements
 from previous versions, description of ISQL enhancements and various API or
 SQL functions that might be of interest for advanced users and developers.
 .
 This package does not include the release notes, the quick start guide and
 the upgrade guide, which are distributed only as PDF files upstream, with no
 accompanying sources, and therefore cannot be included in Debian.

Package: firebird2.5-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: copyright, licnesing and changelogs of firebird2.5
 This is an (otherwise) empty package contains the copyright and licensing
 information of firebird2.5, as well as the upstream changelog.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird2.5 packages.
 .
 Please refer to the firebird2.5-super, firebird2.5-classic or
 firebird2.5-superclassic packages for more information about Firebird database
 in general.

Package: firebird2.5-super-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version}),
 firebird2.5-super (= ${binary:Version}),
 libfbclient2-dbg
Provides: firebird-dbg
Conflicts: firebird-dbg
Description: collected debug symbols for firebird2.5-super
 This package contains extracted debug symbols for firebird2.5 super-server and
 accompanying utilities, which are stripped from the other packages. Debug
 symbols are useful when tracing a problem like a segmentation fault in some
 firebird binary.

Package: firebird2.5-classic-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 firebird2.5-classic (= ${binary:Version}) | firebird2.5-superclassic (= ${binary:Version}),
 firebird2.5-classic-common (= ${binary:Version}),
 firebird2.5-common-doc (= ${source:Version}),
 libfbembed2.5 (= ${binary:Version})
Provides: firebird-dbg
Conflicts: firebird-dbg
Description: collected debug symbols for firebird2.5-classic and -superclassic
 This package contains extracted debug symbols for firebird2.5 server and
 accompanying utilities of the classic and superclassic flavours. Debug symbols
 are useful when tracing a problem like a segmentation fault in some firebird
 binary.

Package: libfbclient2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 firebird2.5-common-doc (= ${source:Version}),
 libfbclient2 (= ${binary:Version})
Breaks: firebird2.5-super-dbg (<< 2.5.1.26349-0~rc1.ds4-2~)
Replaces: firebird2.5-super-dbg (<< 2.5.1.26349-0~rc1.ds4-2~)
Description: collected debug symbols for libfbclient2
 This package contains extracted debug symbols for libfbclient2 library. These
 may be useful when tracing a problem like a segmentation fault in some binary
 linked with libfbclient2.
